import { serve } from "./deps.js";

const pingPongService = () => {
  // we're pinging the pong service within the docker network
  // (i.e. this request does not come from outside)
  fetch("http://ws-pong-service:7779/ping");
};

const handleRequest = async (request) => {
  const pathname = new URL(request.url).pathname;
  console.log(pathname);

  if (request.method === "POST" && pathname === "/ping") {
    pingPongService();
  }

  return new Response(200);
};

serve(handleRequest, { port: 7777 });
